package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFX83 extends MwfRequest<MWFX83, MWFX83Response> {

    @Parameter(name = "APP_KEY")
    MWFX83 appKey(Long appKey);
    @Parameter(name = "BuildName")
    MWFX83 buildName(String buildName);
    @Parameter(name = "CM_ID")
    MWFX83 cmId(String cmId);
    @Parameter(name = "CasoveRazitko")
    MWFX83 casoveRazitko(java.util.Date casoveRazitko);
    @Parameter(name = "ID")
    MWFX83 id(String id);
    @Parameter(name = "ID_Dokumentu")
    MWFX83 iDDokumentu(String iDDokumentu);
    @Parameter(name = "KlientskaStruktura")
    MWFX83 klientskaStruktura(Long klientskaStruktura);
    @Parameter(name = "Kontext")
    MWFX83 kontext(Long kontext);
    @Parameter(name = "PodpisAP")
    MWFX83 podpisAP(Long podpisAP);
    @Parameter(name = "PrintType")
    MWFX83 printType(String printType);
    @Parameter(name = "Pristup")
    MWFX83 pristup(String pristup);
    @Parameter(name = "Produkt")
    MWFX83 produkt(String produkt);
    @Parameter(name = "RC")
    MWFX83 rc(String rc);
    @Parameter(name = "RtpName")
    MWFX83 rtpName(String rtpName);
    @Parameter(name = "StavSluzby")
    MWFX83 stavSluzby(String stavSluzby);
    @Parameter(name = "TypDocumentu")
    MWFX83 typDocumentu(String typDocumentu);
    @Parameter(name = "TypDokumentuDMS")
    MWFX83 typDokumentuDMS(String typDokumentuDMS);
    @Parameter(name = "XML")
    MWFX83 xml(String xml);
    @Parameter(name = "ZpusobPodepsani")
    MWFX83 zpusobPodepsani(String zpusobPodepsani);
}
